Bug 1003152 - Incorrect parsing of gnome proxy ignore-hosts setting
Summary: Incorrect parsing of gnome proxy ignore-hosts setting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 19
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-31 08:08 UTC by Vladislav Grigoryev
Modified: 2013-09-24 22:56 UTC (History)
6 users (show)

Fixed In Version: control-center-3.8.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-12 11:33:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 707966 0 None None None Never

Description Vladislav Grigoryev 2013-08-31 08:08:51 UTC
Description of problem:
Editing proxy ignore-hosts setting adds spaces to each element in the list, so setting doesn't work.

Version-Release number of selected component (if applicable):
control-center-3.8.3-2.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. $ gsettings reset org.gnome.system.proxy ignore-hosts 
2. $ gsettings get org.gnome.system.proxy ignore-hosts 
['localhost', '127.0.0.0/8', '::1']
3. $ gnome-control-center network
Go to proxy settings and add "*.example.com".
4. $ gsettings get org.gnome.system.proxy ignore-hosts 
['localhost', ' 127.0.0.0/8', ' ::1', ' *.example.com']

Actual results:
$ gsettings get org.gnome.system.proxy ignore-hosts 
['localhost', ' 127.0.0.0/8', ' ::1', ' *.example.com']

Expected results:
$ gsettings get org.gnome.system.proxy ignore-hosts 
['localhost', '127.0.0.0/8', '::1', '*.example.com']

Comment 1 Rui Matos 2013-09-12 11:33:46 UTC
Forwarded upstream.

Comment 2 Fedora Update System 2013-09-13 14:16:17 UTC
control-center-3.8.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/control-center-3.8.5-1.fc19

Comment 3 Fedora Update System 2013-09-24 22:56:58 UTC
control-center-3.8.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.